Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.impl.wsdl.support.xsd
Class SchemaUtils

    java.lang.Object
      com.eviware.soapui.impl.wsdl.support.xsd.SchemaUtils

    public class SchemaUtils

extends java.lang.Object

XML-Schema related tools

Author:
  Ole.Matzura

Constructor Summary
`SchemaUtils()`

Method Summary
`static org.apache.xmlbeans.SchemaTypeLoader` | `buildSchemaTypes(java.util.List<org.apache.xmlbeans.XmlObject> schemas, SoapVersion soapVersion)`
`static java.util.Collection<java.lang.String>` | `extractNamespaces(org.apache.xmlbeans.SchemaTypeSystem schemaTypes, boolean removeDefault)` Extracts namespaces - used in tool integrations for mapping..
`static void` | `getDefinitionParts(java.lang.String wsdlUrl, java.util.Map<java.lang.String,org.apache.xmlbeans.XmlObject> existing, WsdlLoader loader)`
`static java.util.Map<java.lang.String,org.apache.xmlbeans.XmlObject>` | `getDefinitionParts(WsdlLoader loader)` Returns a map mapping urls to corresponding XmlObjects for the specified wsdlUrl
`static java.lang.String` | `getDocumentation(org.apache.xmlbeans.SchemaParticle particle, org.apache.xmlbeans.SchemaType schemaType)`
`static java.lang.String[]` | `getEnumerationValues(org.apache.xmlbeans.SchemaType schemaType, boolean addNull)`
`static java.util.Collection<? extends javax.xml.namespace.QName>` | `getExcludedTypes()`
`static void` | `getSchemas(java.lang.String wsdlUrl, java.util.Map<java.lang.String,org.apache.xmlbeans.XmlObject> existing, WsdlLoader loader, java.lang.String tns, boolean add)` Returns a map mapping urls to corresponding XmlSchema XmlObjects for the specified wsdlUrl
`static java.util.Map<java.lang.String,org.apache.xmlbeans.XmlObject>` | `getSchemas(java.lang.String wsdlUrl, WsdlLoader loader)`
`static java.lang.String` | `getTargetNamespace(org.apache.xmlbeans.XmlObject s)`
`static void` | `initDefaultSchemas()`
`static boolean` | `isBinaryType(org.apache.xmlbeans.SchemaType schemaType)`
`static boolean` | `isInstanceOf(org.apache.xmlbeans.SchemaType schemaType, org.apache.xmlbeans.SchemaType baseType)`
`static org.apache.xmlbeans.SchemaTypeLoader` | `loadSchemaTypes(java.lang.String wsdlUrl, SoapVersion soapVersion, WsdlLoader loader)`
`static void` | `removeImports(org.apache.xmlbeans.XmlObject xmlObject)` Used when creating a TypeSystem from a complete collection of SchemaDocuments so that referenced types are not downloaded (again)
`static java.lang.String` | `toHtml(java.lang.String string)`
`static boolean` | `toNextContainer(org.apache.xmlbeans.XmlCursor cursor)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SchemaUtils

    public SchemaUtils()

Method Detail

### initDefaultSchemas

    public static void initDefaultSchemas()

### loadSchemaTypes

    public static org.apache.xmlbeans.SchemaTypeLoader loadSchemaTypes(java.lang.String wsdlUrl,
                                                                       SoapVersion soapVersion,
                                                                       WsdlLoader loader)
                                                                throws SchemaException

  Throws:
    `SchemaException`

### buildSchemaTypes

    public static org.apache.xmlbeans.SchemaTypeLoader buildSchemaTypes(java.util.List<org.apache.xmlbeans.XmlObject> schemas,
                                                                        SoapVersion soapVersion)
                                                                 throws SchemaException

  Throws:
    `SchemaException`

### toNextContainer

    public static boolean toNextContainer(org.apache.xmlbeans.XmlCursor cursor)

### getTargetNamespace

    public static java.lang.String getTargetNamespace(org.apache.xmlbeans.XmlObject s)

### getSchemas

    public static java.util.Map<java.lang.String,org.apache.xmlbeans.XmlObject> getSchemas(java.lang.String wsdlUrl,
                                                                                           WsdlLoader loader)
                                                                                    throws SchemaException

  Throws:
    `SchemaException`

### getSchemas

    public static void getSchemas(java.lang.String wsdlUrl,
                                  java.util.Map<java.lang.String,org.apache.xmlbeans.XmlObject> existing,
                                  WsdlLoader loader,
                                  java.lang.String tns,
                                  boolean add)
                           throws SchemaException

  Returns a map mapping urls to corresponding XmlSchema XmlObjects for the specified wsdlUrl

  Throws:
    `SchemaException`

### getDefinitionParts

    public static java.util.Map<java.lang.String,org.apache.xmlbeans.XmlObject> getDefinitionParts(WsdlLoader loader)
                                                                                            throws java.lang.Exception

  Returns a map mapping urls to corresponding XmlObjects for the specified wsdlUrl

  Throws:
    `java.lang.Exception`

### getDefinitionParts

    public static void getDefinitionParts(java.lang.String wsdlUrl,
                                          java.util.Map<java.lang.String,org.apache.xmlbeans.XmlObject> existing,
                                          WsdlLoader loader)
                                   throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### extractNamespaces

    public static java.util.Collection<java.lang.String> extractNamespaces(org.apache.xmlbeans.SchemaTypeSystem schemaTypes,
                                                                           boolean removeDefault)

  Extracts namespaces - used in tool integrations for mapping..

### removeImports

    public static void removeImports(org.apache.xmlbeans.XmlObject xmlObject)
                              throws org.apache.xmlbeans.XmlException

  Used when creating a TypeSystem from a complete collection of SchemaDocuments so that referenced types are not downloaded (again)

  Throws:
    `org.apache.xmlbeans.XmlException`

### isInstanceOf

    public static boolean isInstanceOf(org.apache.xmlbeans.SchemaType schemaType,
                                       org.apache.xmlbeans.SchemaType baseType)

### isBinaryType

    public static boolean isBinaryType(org.apache.xmlbeans.SchemaType schemaType)

### getDocumentation

    public static java.lang.String getDocumentation(org.apache.xmlbeans.SchemaParticle particle,
                                                    org.apache.xmlbeans.SchemaType schemaType)

### toHtml

    public static java.lang.String toHtml(java.lang.String string)

### getEnumerationValues

    public static java.lang.String[] getEnumerationValues(org.apache.xmlbeans.SchemaType schemaType,
                                                          boolean addNull)

### getExcludedTypes

    public static java.util.Collection<? extends javax.xml.namespace.QName> getExcludedTypes()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.